Insertion

## Functions

void | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::insert (ItemType &&item)
void | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::insert (const ItemType &item)
void | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::insert (const BoundsType &itemEnv, ItemType &&item)
void | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::insert (const BoundsType &itemEnv, const ItemType &item)

## Detailed Description

## Function Documentation

## insert() [1/4]

template<typename ItemType, typename BoundsTraits>

void geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::insert | ( | const BoundsType & | itemEnv,
|  | const ItemType & | item )

inline

Insert a copy of the given item into the tree

## insert() [2/4]

template<typename ItemType, typename BoundsTraits>

void geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::insert | ( | const BoundsType & | itemEnv,
|  | ItemType && | item )

inline

Move the given item into the tree

## insert() [3/4]

template<typename ItemType, typename BoundsTraits>

void geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::insert | ( | const ItemType & | item | ) |

inline

Insert a copy of the given item into the tree

References insert().

## insert() [4/4]

template<typename ItemType, typename BoundsTraits>

void geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::insert | ( | ItemType && | item | ) |

inline

Move the given item into the tree

References insert().

Referenced by insert(), and insert().